Scaling filter for PXIE Ring Pickup
04/05/2016 09:35 AM - John Diamond

Status: Closed Start date: 04/05/2016
Priority: Normal Due date:

Assignee: John Diamond % Done: 100%
Category: Fliter Estimated time: 3.00 hours
Target version: Spent time: 3.00 hours
Description

This device has non-linear scaling that's not supported by the available common transforms. Develop a scaling filter that we can use.

History

#1 - 04/05/2016 09:37 AM - John Diamond

From e-mail's with Ning:

We would need something like this: X’ = C1 * EXP + C4

Could you make the Primary Unit Reading X = e * ( RAW * CO ), with RAW being the digitizer’'s raw reading, and CO a configurable setting? If
making CO programmable is a hassle, we can set it to a fixed value, CO = 0.0000030189, as well. Then Brian and | can do the scaling part of X’
=C1*X/C2 + C3 on D80 according to our calibration data like the rest of the devices.

#2 - 04/05/2016 10:15 PM - John Diamond
- % Done changed from 0 to 90

Implemented a CLI command for selecting the input (Intensity or Current) to a filter chain:

vmeintFilterChainDAQSource chain_id, source_str

Implemented ExpScaleFilter, a scaling filter that uses the function: f(x) = c1 * exp(c2 * x + ¢c3)
vmeintFilterExpScaleFactorCreate chain_id, filter_idx, cl_str, c2_str, c3_str, scale_name_str
Create Z:M01EPC for testing.

#3 - 04/06/2016 04:42 PM - John Diamond
- Parent task set to #11650

#4 - 04/06/2016 04:42 PM - John Diamond
- Status changed from Assigned to Closed

- % Done changed from 90 to 100
